## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate openxr-sys

Name:           rust-openxr-sys
Version:        0.11.0
Release:        %autorelease
Summary:        OpenXR FFI bindings

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/openxr-sys
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(openxr)

%global _description %{expand:
OpenXR FFI bindings.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(openxr)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cmake-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cmake-devel %{_description}

This package contains library source intended for building other packages which
use the "cmake" feature of the "%{crate}" crate.

%files       -n %{name}+cmake-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+linked-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+linked-devel %{_description}

This package contains library source intended for building other packages which
use the "linked" feature of the "%{crate}" crate.

%files       -n %{name}+linked-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mint-devel %{_description}

This package contains library source intended for building other packages which
use the "mint" feature of the "%{crate}" crate.

%files       -n %{name}+mint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# Remove bundled OpenXR-SDK
rm -rf OpenXR-SDK

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sun Sep 08 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.11.0-1
- Initial import (fedora#2304222).
## END: Generated by rpmautospec
